/*****************************************************************************
 * Copyright (C) 2009-2016   this file is part of the NPTool Project         *
 *                                                                           *
 * For the licensing terms see $NPTOOL/Licence/NPTool_Licence                *
 * For the list of contributors see $NPTOOL/Licence/Contributors             *
 *****************************************************************************/

/*****************************************************************************
 * Original Author: Adrien MATTA  contact address: matta@lpccaen.in2p3.fr    *
 *                                                                           *
 * Creation Date  : febuary 2009                                             *
 * Last update    :                                                          *
 *---------------------------------------------------------------------------*
 * Decription:                                                               *
 *  This class hold quadranMSQ25 Raw data                                            *
 *                                                                           *
 *---------------------------------------------------------------------------*
 * Comment:                                                                  *
 *                                                                           *
 *                                                                           *
 *****************************************************************************/
#include <iostream>
using namespace std;

#include "TquadranMSQ25Data.h"

ClassImp(TquadranMSQ25Data)

////////////////////////////////////////////////////////////////////////////////
TquadranMSQ25Data::TquadranMSQ25Data(){
   // Default constructor

   // quadranMSQ25
   // Energy
   fquadranMSQ25_StripE_DetectorNbr.clear();
   fquadranMSQ25_StripE_StripNbr.clear();
   fquadranMSQ25_StripE_Energy.clear();
   // Time
   fquadranMSQ25_StripT_DetectorNbr.clear();
   fquadranMSQ25_StripT_StripNbr.clear();
   fquadranMSQ25_StripT_Time.clear();

}

////////////////////////////////////////////////////////////////////////////////
TquadranMSQ25Data::~TquadranMSQ25Data(){
}

////////////////////////////////////////////////////////////////////////////////
void TquadranMSQ25Data::Clear(){
   // DSSD
   // Energy
   fquadranMSQ25_StripE_DetectorNbr.clear();
   fquadranMSQ25_StripE_StripNbr.clear();
   fquadranMSQ25_StripE_Energy.clear(); 
   // Time
   fquadranMSQ25_StripT_DetectorNbr.clear();
   fquadranMSQ25_StripT_StripNbr.clear();
   fquadranMSQ25_StripT_Time.clear();
}


////////////////////////////////////////////////////////////////////////////////
void TquadranMSQ25Data::Dump() const{
   cout << "XXXXXXXXXXXXXXXXX New Event XXXXXXXXXXXXXXXXX" << endl;

   // quadranMSQ25
   // Energy
   cout << "quadranMSQ25_StripE_Mult = " << fquadranMSQ25_StripE_DetectorNbr.size() << endl;
   for (UShort_t i = 0; i < fquadranMSQ25_StripE_DetectorNbr.size(); i++)
      cout << "DetNbr: "  << fquadranMSQ25_StripE_DetectorNbr[i] 
           << " Strip: "  << fquadranMSQ25_StripE_StripNbr[i] 
           << " Energy: " << fquadranMSQ25_StripE_Energy[i] << endl;

   // Time
   cout << "quadranMSQ25_StripXT_Mult = " << fquadranMSQ25_StripT_DetectorNbr.size() << endl;
   for (UShort_t i = 0; i < fquadranMSQ25_StripT_DetectorNbr.size(); i++)
      cout << "DetNbr: " << fquadranMSQ25_StripT_DetectorNbr[i] 
           << " Strip: " << fquadranMSQ25_StripT_StripNbr[i] 
           << " Time: "  << fquadranMSQ25_StripT_Time[i] << endl;
  
}
